#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	libxml-perl
Summary:	Collection of Perl modules for working with XML
Summary(pl.UTF-8):	Kolekcja modułów Perla do pracy z XML-em
Name:		perl-libxml
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pnam}-%{version}.tar.gz
# Source0-md5:	0ed5fbdda53d1301ddaed88db10503bb
URL:		http://search.cpan.org/dist/libxml-perl/
BuildRequires:	perl-XML-Parser >= 2.19
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
Obsoletes:	perl-libxml-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
libxml-perl is a collection of smaller Perl modules, scripts, and
documents for working with XML in Perl. libxml-perl software works in
combination with XML::Parser, PerlSAX, XML::DOM, XML::Grove and
others.

%description -l pl.UTF-8
libxml-perl to zestaw mniejszych perlowych modułów, skryptów i
dokumentów do pracy z XML-em w Perlu. Działa w połączeniu z
XML::Parser, PerlSAX, XML::DOM, XML::Grove i innymi.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Change*
%{perl_vendorlib}/Data/Grove.pm
%{perl_vendorlib}/Data/Grove
%{perl_vendorlib}/XML/ESISParser.pm
%{perl_vendorlib}/XML/Perl2SAX.pm
%{perl_vendorlib}/XML/SAX2Perl.pm
%{perl_vendorlib}/XML/Handler/CanonXMLWriter.pm
%{perl_vendorlib}/XML/Handler/Sample.pm
%{perl_vendorlib}/XML/Handler/Subs.pm
%{perl_vendorlib}/XML/Handler/XMLWriter.pm
%{perl_vendorlib}/XML/Parser/PerlSAX.pm
%{perl_vendorlib}/XML/PatAct
%{_mandir}/man3/Data::Grove*.3pm*
%{_mandir}/man3/XML::ESISParser.3pm*
%{_mandir}/man3/XML::Handler::*.3pm*
%{_mandir}/man3/XML::Parser::PerlSAX.3pm*
%{_mandir}/man3/XML::PatAct::*.3pm*
%{_mandir}/man3/XML::Perl2SAX.3pm*
%{_mandir}/man3/XML::SAX2Perl.3pm*
%changelog
* Sun Mar 11 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-libxml.git;a=log;h=master

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 3c5f4db
- working URL
- verbose files in common perl dirs

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3000052
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cbe4cb6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1edc2f1
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ae5614f
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 99f4cd1
- updated to 0.08

* Sat Jun 05 2004 radek <radek@pld-linux.org> 803cbb1
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 1949689
- rel. 12

* Thu May 06 2004 ankry <ankry@pld-linux.org> 173660e
- fixed perl-devel BR

* Tue May 04 2004 ankry <ankry@pld-linux.org> 37793a2
- license fix, cosmetics

* Sat Mar 13 2004 eothane <eothane@pld-linux.org> 2c0af90
- new bcond style; some cosmetics here and there; changelog cleanups

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> 94d5d2a
- pl fixes, cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 7af9fd9
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 Jakub Bogusz <qboosh@pld-linux.org> f6b9072
- removed bogus OPTIMIZE

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c455496
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9235c44
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Apr 15 2003 ankry <ankry@pld-linux.org> aafa152
- rel++ (to be higher than in RA-branch)

* Fri Apr 11 2003 radek <radek@pld-linux.org> 7b91267
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> f539887
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 257d67b
- use the __perl macro

